<?php
/**
*
* @package phpBB Extension - DSGVO - Customize registration page
* @copyright (c) 2024 Chris1278
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace chris1278\regtemp\migrations;

class v_1_0_0 extends \phpbb\db\migration\migration
{
	public static function depends_on()
	{
		return ['\phpbb\db\migration\data\v330\v330'];
	}

	public function update_data()
	{
		return [
			['module.add', [
				'acp',
				'ACP_CAT_DOT_MODS',
				'ACP_DSGVO_RC_TITLE'
			]],
			['module.add', [
				'acp',
				'ACP_DSGVO_RC_TITLE', [
					'module_basename'	=> '\chris1278\regtemp\acp\main_module',
					'modes'				=> ['settings'],
				],
			]],
			['config.add',['dsgvo_rc_checkbox', 1]],
			['config.add',['dsgvo_rc_form', 0]],
			['config.add',['dsgvo_rc_policy_extern', 0]],

		];
	}
}
